<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: crc32</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for crc32 {SparkR}"><tr><td>crc32 {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>crc32</h2>

<h3>Description</h3>

<p>Calculates the cyclic redundancy check value  (CRC32) of a binary column and
returns the value as a bigint.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column'
crc32(x)

crc32(x)
</pre>


<h3>See Also</h3>

<p>Other misc_funcs: <code><a href="md5.html">md5</a></code>, <code><a href="md5.html">md5</a></code>;
<code><a href="sha1.html">sha1</a></code>, <code><a href="sha1.html">sha1</a></code>;
<code><a href="sha2.html">sha2</a></code>, <code><a href="sha2.html">sha2</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: crc32(df$c)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
